/*---------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
'use strict';
define(["require", "exports", 'monaco', './extraInfoSupport', './suggestSupport'], function (require, exports, monaco, _extraInfoSupport, _suggestSupport) {
    function activate() {
        var MODE_ID = 'yaml';
        monaco.Modes.ExtraInfoSupport.register(MODE_ID, new _extraInfoSupport.ExtraInfoSupport(monaco.Services.ModelService));
        monaco.Modes.SuggestSupport.register(MODE_ID, new _suggestSupport.SuggestSupport(monaco.Services.ModelService));
        monaco.Modes.CommentsSupport.register(MODE_ID, {
            commentsConfiguration: {
                lineCommentTokens: ['#']
            }
        });
    }
    exports.activate = activate;
});
//# sourceMappingURL=yamlMain.js.map