/*---------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
"use strict";define("vs/languages/typescript/common/features/tokenization",["require","exports","vs/base/common/strings","vs/base/common/arrays","vs/base/common/collections","vs/editor/common/modes","vs/editor/common/modes/supports","vs/languages/typescript/common/lib/typescriptServices","vs/editor/common/modes/abstractState"],function(e,t,n,r,i,a,o,s,c){function l(e,t){var n=s.createClassifier(),r=t===p.TypeScript?f:y,i=t===p.TypeScript?g:v;return{shouldGenerateEmbeddedModels:!1,getInitialState:function(){return new m(e,null,t,0,!1)},tokenize:function(e,t,a,o){return u(r,i,n,t,e,a,o)}}}function u(e,t,i,c,l,u){function f(e,t,n){(0===g.tokens.length||void 0!==n||r.tail(g.tokens).type!==t)&&g.tokens.push(new o.Token(e,t,n||a.Bracket.None))}void 0===u&&(u=0);var g={tokens:[],actualStopOffset:u+l.length,endState:new m(c.getMode(),c.getStateData(),c.language,0,!1),modeTransitions:[{startIndex:u,mode:c.getMode()}]},y=c.language===p.TypeScript;if(!y&&d(c,u,l,f))return g;var v=i.getClassificationsForLine(l,c.eolState,!0),_=0;g.endState.eolState=v.finalLexState,g.endState.inJsDocComment=1===v.finalLexState&&(c.inJsDocComment||/\/\*\*.*$/.test(l));for(var b=0,T=v.entries;b<T.length;b++){var E,S=T[b],k=a.Bracket.None;if(S.classification===s.TokenClass.Punctuation){var C=l.charCodeAt(_);k=h[C]||a.Bracket.None,E=e[C]||t[S.classification],f(_+u,E,k)}else S.classification===s.TokenClass.Comment?g.endState.inJsDocComment||/\/\*\*.*\*\//.test(l.substr(_,S.length))?f(_+u,y?"comment.doc.ts":"comment.doc.js",a.Bracket.None):f(_+u,y?"comment.ts":"comment.js",a.Bracket.None):f(_+u,t[S.classification]||n.empty,void 0);_+=S.length}return g}function d(e,t,n,r){return 0===n.indexOf("#!")?(r(t,"comment.shebang",a.Bracket.None),!0):void 0}!function(e){e[e.TypeScript=0]="TypeScript",e[e.EcmaScript5=1]="EcmaScript5"}(t.Language||(t.Language={}));var p=t.Language;t.createTokenizationSupport=l;var m=function(){function e(e,t,n,r,i){this._mode=e,this._state=t,this.language=n,this.eolState=r,this.inJsDocComment=i}return e.prototype.clone=function(){return new e(this._mode,c.AbstractState.safeClone(this._state),this.language,this.eolState,this.inJsDocComment)},e.prototype.equals=function(t){return t===this?!0:t&&t instanceof e?this.eolState!==t.eolState?!1:this.inJsDocComment!==t.inJsDocComment?!1:c.AbstractState.safeEquals(this._state,t._state):!1},e.prototype.getMode=function(){return this._mode},e.prototype.tokenize=function(){throw new Error},e.prototype.getStateData=function(){return this._state},e.prototype.setStateData=function(e){this._state=e},e}(),h=i.createNumberDictionary();h["(".charCodeAt(0)]=a.Bracket.Open,h[")".charCodeAt(0)]=a.Bracket.Close,h["{".charCodeAt(0)]=a.Bracket.Open,h["}".charCodeAt(0)]=a.Bracket.Close,h["[".charCodeAt(0)]=a.Bracket.Open,h["]".charCodeAt(0)]=a.Bracket.Close;var f=i.createNumberDictionary();f["(".charCodeAt(0)]="delimiter.parenthesis.ts",f[")".charCodeAt(0)]="delimiter.parenthesis.ts",f["{".charCodeAt(0)]="delimiter.bracket.ts",f["}".charCodeAt(0)]="delimiter.bracket.ts",f["[".charCodeAt(0)]="delimiter.array.ts",f["]".charCodeAt(0)]="delimiter.array.ts";var g=i.createNumberDictionary();g[s.TokenClass.Identifier]="identifier.ts",g[s.TokenClass.Keyword]="keyword.ts",g[s.TokenClass.Operator]="delimiter.ts",g[s.TokenClass.Punctuation]="delimiter.ts",g[s.TokenClass.NumberLiteral]="number.ts",g[s.TokenClass.RegExpLiteral]="regexp.ts",g[s.TokenClass.StringLiteral]="string.ts";var y=i.createNumberDictionary();y["(".charCodeAt(0)]="delimiter.parenthesis.js",y[")".charCodeAt(0)]="delimiter.parenthesis.js",y["{".charCodeAt(0)]="delimiter.bracket.js",y["}".charCodeAt(0)]="delimiter.bracket.js",y["[".charCodeAt(0)]="delimiter.array.js",y["]".charCodeAt(0)]="delimiter.array.js";var v=i.createNumberDictionary();v[s.TokenClass.Identifier]="identifier.js",v[s.TokenClass.Keyword]="keyword.js",v[s.TokenClass.Operator]="delimiter.js",v[s.TokenClass.Punctuation]="delimiter.js",v[s.TokenClass.NumberLiteral]="number.js",v[s.TokenClass.RegExpLiteral]="regexp.js",v[s.TokenClass.StringLiteral]="string.js"});var __decorate=this&&this.__decorate||function(e,t,n,r){if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)return Reflect.decorate(e,t,n,r);switch(arguments.length){case 2:return e.reduceRight(function(e,t){return t&&t(e)||e},t);case 3:return e.reduceRight(function(e,r){return r&&r(t,n),void 0},void 0);case 4:return e.reduceRight(function(e,r){return r&&r(t,n,e)||e},r)}},__param=this&&this.__param||function(e,t){return function(n,r){t(n,r,e)}};define("vs/languages/typescript/common/features/quickFixMainActions",["require","exports","vs/nls!vs/languages/typescript/common/typescriptMode","vs/base/common/strings","vs/base/common/winjs.base","vs/base/common/paths","vs/platform/files/common/files","vs/platform/request/common/request","vs/platform/workspace/common/workspace"],function(e,t,n,r,i,a,o,s,c){var l=function(){function e(e,t,n){this._requestService=e,this._fileService=t,this._contextService=n}return e.prototype.evaluate=function(e,t,n){var r=JSON.parse(n);switch(r.type){case"typedefinitions":return this.evaluateAddTypeDefinitionProposal(r.name,e)}return i.Promise.as(null)},e.prototype.evaluateAddTypeDefinitionProposal=function(e,t){var i=this,o="/typings/"+e,s=this._contextService.toResource(o),c="/jsconfig.json",l=this._contextService.toResource(c),u=this._contextService.toWorkspaceRelativePath(t);u||(u=t.toString());{var d=r.rtrim(a.dirname(u),"/");a.relative(d,o)}return this._fileService.resolveFile(s).then(function(){return{message:n.localize("vs_languages_typescript_common_features_quickFixMainActions",0,o)}},function(){var t="https://raw.githubusercontent.com/borisyankov/DefinitelyTyped/master/"+e;return i._requestService.makeRequest({url:t,followRedirects:5}).then(function(e){return i._fileService.createFile(s,e.responseText).then(function(){return i._fileService.resolveFile(l).then(function(){return{message:n.localize("vs_languages_typescript_common_features_quickFixMainActions",1,o)}},function(){return{message:n.localize("vs_languages_typescript_common_features_quickFixMainActions",2,o)}})},function(e){return{message:n.localize("vs_languages_typescript_common_features_quickFixMainActions",3,o,e.toString())}})},function(e){return{message:n.localize("vs_languages_typescript_common_features_quickFixMainActions",4,t,e.responseText)}})})},e=__decorate([__param(0,s.IRequestService),__param(1,o.IFileService),__param(2,c.IWorkspaceContextService)],e)}();t.QuickFixMainActions=l}),define("vs/languages/typescript/common/typescript",["require","exports","vs/base/common/winjs.base","vs/platform/platform","vs/base/common/uri"],function(e,t,n,r,i){function a(e){return"string"==typeof e?0===e.indexOf("ts://defaultlib"):"ts"===e.scheme&&"defaultlib"===e.authority}!function(e){e[e.Changed=0]="Changed",e[e.Added=1]="Added",e[e.Removed=2]="Removed"}(t.ChangeKind||(t.ChangeKind={}));var o=t.ChangeKind;t.defaultLib=i.create("ts","defaultlib","/vs/text!vs/languages/typescript/common/lib/lib.d.ts"),t.defaultLibES6=i.create("ts","defaultlib","/vs/text!vs/languages/typescript/common/lib/lib.es6.d.ts"),t.isDefaultLib=a,t.virtualProjectResource=i.create("ts","projects","/virtual/1");var s=function(){function e(){this._needsProjectUpdate=!1,this._fileChanges=[],this._projectChange={kind:o.Changed,resource:t.virtualProjectResource,files:[],options:void 0}}return e.prototype.setConsumer=function(e){this._consumer=e},e.prototype.resolveProjects=function(){var e=[];return this._fileChanges.length&&(e.push(this._consumer.acceptFileChanges(this._fileChanges.slice(0))),this._fileChanges.length=0),this._needsProjectUpdate&&(e.push(this._consumer.acceptProjectChanges([this._projectChange])),this._needsProjectUpdate=!1),n.Promise.join(e)},e.prototype.resolveFiles=function(){return void 0},e.prototype.addExtraLib=function(e,t){var n=t?i.file(t):i.create("extralib",void 0,Date.now().toString());this._needsProjectUpdate=!0,this._projectChange.files.push(n),this._fileChanges.push({kind:o.Added,resource:n,content:e})},e.prototype.setCompilerOptions=function(e){this._needsProjectUpdate=!0,this._projectChange.options=e},e}();t.DefaultProjectResolver=s;var c;!function(e){function t(t,n){e.ProjectResolver.addExtraLib(t,n)}function n(t){e.ProjectResolver.setCompilerOptions(t)}e.ProjectResolver=new s,e.addExtraLib=t,e.setCompilerOptions=n}(c=t.Defaults||(t.Defaults={}));var l;!function(e){function t(e){i=e}function n(){return i}e.Identifier="typescript",r.Registry.add(e.Identifier,e);var i;e.setProjectResolver=t,e.getProjectResolver=n}(l=t.Extensions||(t.Extensions={}))});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);n.prototype=t.prototype,e.prototype=new n};define("vs/languages/typescript/common/typescriptMode",["require","exports","vs/nls!vs/languages/typescript/common/typescriptMode","vs/base/common/winjs.base","vs/base/common/uri","vs/editor/common/common","vs/editor/common/modes","vs/base/common/lifecycle","vs/base/common/async","vs/editor/common/modes/supports","vs/languages/typescript/common/features/tokenization","vs/languages/typescript/common/features/quickFixMainActions","vs/languages/typescript/common/typescript","vs/editor/common/modes/abstractMode","vs/platform/thread/common/threadService","vs/platform/instantiation/common/descriptors","vs/platform/thread/common/thread","vs/editor/common/modes/supports/onEnter"],function(e,t,n,r,i,a,o,s,c,l,u,d,p,m,h,f,g,y){var v=function(){function e(e,t){this._listener=Object.create(null),this._lastValidationReq=0,this._modelService=e.modelService,this._mode=t,this._validation=new c.RunOnceScheduler(this._doValidate.bind(this),750),this._modelService&&(this._modelService.onModelAdded.add(this._onModelAdded,this),this._modelService.onModelRemoved.add(this._onModelRemoved,this),this._modelService.getModels().forEach(this._onModelAdded,this))}return e.prototype.dispose=function(){this._validation.dispose()},e.prototype.validateOpen=function(){this._scheduleValidation()},e.prototype._scheduleValidation=function(e){this._lastValidationReq+=1,this._lastChangedResource=e,this._validation.schedule()},e.prototype._doValidate=function(){var e=this,t=[];this._lastChangedResource&&t.push(this._lastChangedResource);for(var n in this._listener)this._lastChangedResource&&n===this._lastChangedResource.toString()||t.push(i.parse(n));var a=this._lastValidationReq,o=c.sequence(t.map(function(t){return function(){return e._modelService.getModel(t)?a===e._lastValidationReq?e._mode.performSemanticValidation(t):void 0:r.Promise.as(void 0)}}));o.done(void 0,function(e){return console.warn(e)})},e.prototype._onModelAdded=function(e){var t=this;if(this._mode._shouldBeValidated(e)){var n,r;n=function(){t._scheduleValidation(e.getAssociatedResource())},r=e.addListener(a.EventType.ModelContentChanged2,function(){return n()}),this._listener[e.getAssociatedResource().toString()]=r,n()}},e.prototype._onModelRemoved=function(e){var t=this._listener[e.getAssociatedResource().toString()];t&&(t(),delete this._listener[e.getAssociatedResource().toString()])},e}(),_=function(t){function i(e,n,i){var a=this;if(t.call(this,e,n,i,f.AsyncDescriptor.create("vs/languages/typescript/common/typescriptWorker2","TypeScriptWorker2")),this._disposables=[],this._telemetryService=e.telemetryService,this._threadService&&this._threadService.isInMainThread){this._semanticValidator=e.instantiationService.createInstance(v,this),this._disposables.push(this._semanticValidator);var s=this._getProjectResolver();if(!s)throw new Error("missing project resolver!");this._projectResolver=s instanceof f.AsyncDescriptor?e.instantiationService.createInstance(s,this).then(void 0,function(e){return console.error(e),p.Defaults.ProjectResolver}):r.TPromise.as(s),this._projectResolver=this._projectResolver.then(function(e){return e.setConsumer(a),e})}this.navigateTypesSupport=this,this.extraInfoSupport=this,this.formattingSupport=this,this.quickFixSupport=this,this.logicalSelectionSupport=this,this.outlineSupport=this,this.emitOutputSupport=this,this.codeLensSupport=this,this.renameSupport=this,this.tokenizationSupport=u.createTokenizationSupport(this,u.Language.TypeScript),this.electricCharacterSupport=new l.BracketElectricCharacterSupport(this,{brackets:[{tokenType:"delimiter.bracket.ts",open:"{",close:"}",isElectric:!0},{tokenType:"delimiter.array.ts",open:"[",close:"]",isElectric:!0},{tokenType:"delimiter.parenthesis.ts",open:"(",close:")",isElectric:!0}],docComment:{scope:"comment.doc",open:"/**",lineStart:" * ",close:" */"}}),this.referenceSupport=new l.ReferenceSupport(this,{tokens:["identifier.ts"],findReferences:function(e,t,n){return a.findReferences(e,t,n)}}),this.declarationSupport=new l.DeclarationSupport(this,{tokens:["identifier.ts","string.ts","attribute.value.vs"],findDeclaration:function(e,t){return a.findDeclaration(e,t)}}),this.parameterHintsSupport=new l.ParameterHintsSupport(this,{triggerCharacters:["(",","],excludeTokens:["string.ts"],getParameterHints:function(e,t){return a.getParameterHints(e,t)}}),this.characterPairSupport=new l.CharacterPairSupport(this,{autoClosingPairs:[{open:"{",close:"}"},{open:"[",close:"]"},{open:"(",close:")"},{open:'"',close:'"',notIn:["string"]},{open:"'",close:"'",notIn:["string","comment"]},{open:"`",close:"`"}]}),this.suggestSupport=new l.SuggestSupport(this,{triggerCharacters:["."],excludeTokens:["string","comment","number"],sortBy:[{type:"reference",partSeparator:"/"}],suggest:function(e,t){return a.suggest(e,t)},getSuggestionDetails:function(e,t,n){return a.getSuggestionDetails(e,t,n)}}),this.onEnterSupport=new y.OnEnterSupport(this.getId(),{brackets:[{open:"{",close:"}"},{open:"[",close:"]"},{open:"(",close:")"}],regExpRules:[{beforeText:/^\s*\/\*\*(?!\/)([^\*]|\*(?!\/))*$/,afterText:/^\s*\*\/$/,action:{indentAction:o.IndentAction.IndentOutdent,appendText:" * "}},{beforeText:/^\s*\/\*\*(?!\/)([^\*]|\*(?!\/))*$/,action:{indentAction:o.IndentAction.None,appendText:" * "}},{beforeText:/^(\t|(\ \ ))*\ \*\ ([^\*]|\*(?!\/))*$/,action:{indentAction:o.IndentAction.None,appendText:"* "}},{beforeText:/^(\t|(\ \ ))*\ \*\/\s*$/,action:{indentAction:o.IndentAction.None,removeText:1}}]})}return __extends(i,t),i.prototype.dispose=function(){this._disposables=s.disposeAll(this._disposables)},i.prototype._shouldBeValidated=function(e){return e.getMode()===this||/\.ts$/.test(e.getAssociatedResource().fsPath)},i.prototype._getProjectResolver=function(){return p.Extensions.getProjectResolver()||p.Defaults.ProjectResolver},i.prototype.acceptProjectChanges=function(e){return this._semanticValidator.validateOpen(),this._doAcceptProjectChanges(e)},i.prototype._doAcceptProjectChanges=function(e){return this._worker(function(t){return t.acceptProjectChanges(e)})},i.prototype.acceptFileChanges=function(e){for(var t=this,i=0,a=0;a<e.length;a++){var o=e[a];o.content&&(i+=o.content.length)}return this._canAcceptFileChanges(i).then(function(i){return i===!1?r.TPromise.wrapError(n.localize("vs_languages_typescript_common_typescriptMode",0)):t._doAcceptFileChanges(e).then(function(e){return t._semanticValidator.validateOpen(),e})})},i.prototype._canAcceptFileChanges=function(e){return this._worker(function(t){return t.canAcceptFileChanges(e)})},i.prototype._doAcceptFileChanges=function(e){return this._worker(function(t){return t.acceptFileChanges(e)})},i.prototype._defaultLib=function(){var t=this;if(!this._defaultLibPromise){var n=[],i=new r.TPromise(function(t,n){return e([p.defaultLib.path.substr(1)],t,n)}).then(function(e){n.push({kind:p.ChangeKind.Added,resource:p.defaultLib,content:e})}),a=new r.TPromise(function(t,n){return e([p.defaultLibES6.path.substr(1)],t,n)}).then(function(e){n.push({kind:p.ChangeKind.Added,resource:p.defaultLibES6,content:e})});this._defaultLibPromise=r.TPromise.join([i,a]).then(function(){return t.acceptFileChanges(n)})}return new c.ShallowCancelThenPromise(this._defaultLibPromise)},i.prototype._syncProjects=function(){var e=this;return this._projectResolver?this._defaultLib().then(function(){return e._projectResolver}).then(function(e){return e.resolveProjects()}):void 0},i.prototype.configure=function(e){var n=this,r=t.prototype.configure.call(this,e);return this._semanticValidator&&r.then(function(e){return e&&n._semanticValidator.validateOpen()}),r},i.prototype._worker=function(e){return t.prototype._worker.call(this,e)},i.prototype.getCommentsConfiguration=function(){return{lineCommentTokens:["//"],blockCommentStartToken:"/*",blockCommentEndToken:"*/"}},i.prototype._pickAWorkerToValidate=function(){return this._worker(function(e){return e.enableValidator()})},i.prototype.performSemanticValidation=function(e){var t=this;return this.doValidateSemantics(e).then(function(e){return e?t.getMissingFiles().then(function(e){return e?t._projectResolver.then(function(t){return t.resolveFiles(e)}):void 0}):void 0})},i.prototype.doValidateSemantics=function(e){return this._worker(function(t){return t.doValidateSemantics(e)})},i.prototype.getMissingFiles=function(){return this._worker(function(e){return e.getMissingFiles()})},i.prototype.getOutline=function(e){return this._worker(function(t){return t.getOutline(e)})},i.prototype.findOccurrences=function(e,t,n){return void 0===n&&(n=!1),this._worker(function(r){return r.findOccurrences(e,t,n)})},i.prototype.suggest=function(e,t){return this._worker(function(n){return n.suggest(e,t)})},i.prototype.getSuggestionDetails=function(e,t,n){return this._worker(function(r){return r.getSuggestionDetails(e,t,n)})},i.prototype.getParameterHints=function(e,t){return this._worker(function(n){return n.getParameterHints(e,t)})},i.prototype.getEmitOutput=function(e,t){return void 0===t&&(t=void 0),this._worker(function(n){return n.getEmitOutput(e,t)})},i.prototype.getWordDefinition=function(){return i.WORD_DEFINITION},i.prototype.findReferences=function(e,t,n){return this._worker(function(r){return r.findReferences(e,t,n)})},Object.defineProperty(i.prototype,"filter",{get:function(){return["identifier.ts","string.ts"]},enumerable:!0,configurable:!0}),i.prototype.rename=function(e,t,n){return this._worker(function(r){return r.rename(e,t,n)})},i.prototype.getNavigateToItems=function(e){return this._worker(function(t){return t.getNavigateToItems(e)})},i.prototype.runQuickFixAction=function(e,t,n){var r=this,i=this._instantiationService.createInstance(d.QuickFixMainActions);return i.evaluate(e,t,n).then(function(i){return i?i:r.runQuickFixActionInWorker(e,t,n)})},i.prototype.runQuickFixActionInWorker=function(e,t,n){return this._worker(function(r){return r.runQuickFixAction(e,t,n)})},i.prototype.getQuickFixes=function(e,t){return this._worker(function(n){return n.getQuickFixes(e,t)})},i.prototype.getRangesToPosition=function(e,t){return this._worker(function(n){return n.getRangesToPosition(e,t)})},i.prototype.findDeclaration=function(e,t){return this._worker(function(n){return n.findDeclaration(e,t)})},i.prototype.computeInfo=function(e,t){return this._worker(function(n){return n.computeInfo(e,t)})},Object.defineProperty(i.prototype,"autoFormatTriggerCharacters",{get:function(){return[";","}","\n"]},enumerable:!0,configurable:!0}),i.prototype.formatDocument=function(e,t){return this._worker(function(n){return n.formatDocument(e,t)})},i.prototype.formatRange=function(e,t,n){return this._worker(function(r){return r.formatRange(e,t,n)})},i.prototype.formatAfterKeystroke=function(e,t,n,r){return this._worker(function(i){return i.formatAfterKeystroke(e,t,n,r)})},i.prototype.enableCodeLens=function(){return this._options&&this._options.referenceInfos===!0},i.prototype.findCodeLensSymbols=function(e){return this._worker(function(t){return t.findCodeLensSymbols(e)})},i.prototype.findCodeLensReferences=function(e,t){return this._worker(function(n){return n.findCodeLensReferences(e,t)})},i.$_doAcceptProjectChanges=h.AllWorkersAttr(i,i.prototype._doAcceptProjectChanges),i.$_canAcceptFileChanges=h.OneWorkerAttr(i,i.prototype._canAcceptFileChanges),i.$_doAcceptFileChanges=h.AllWorkersAttr(i,i.prototype._doAcceptFileChanges),i.$_pickAWorkerToValidate=h.OneWorkerAttr(i,i.prototype._pickAWorkerToValidate,i.prototype._syncProjects,g.ThreadAffinity.Group3),i.$doValidateSemantics=h.OneWorkerAttr(i,i.prototype.doValidateSemantics,i.prototype._syncProjects,g.ThreadAffinity.Group3),i.$getMissingFiles=h.OneWorkerAttr(i,i.prototype.getMissingFiles,i.prototype._syncProjects,g.ThreadAffinity.Group3),i.$getOutline=h.OneWorkerAttr(i,i.prototype.getOutline,i.prototype._syncProjects,g.ThreadAffinity.Group1),i.$findOccurrences=h.OneWorkerAttr(i,i.prototype.findOccurrences,i.prototype._syncProjects,g.ThreadAffinity.Group2),i.$suggest=h.OneWorkerAttr(i,i.prototype.suggest,i.prototype._syncProjects,g.ThreadAffinity.Group2),i.$getSuggestionDetails=h.OneWorkerAttr(i,i.prototype.getSuggestionDetails,i.prototype._syncProjects,g.ThreadAffinity.Group2),i.$getParameterHints=h.OneWorkerAttr(i,i.prototype.getParameterHints,i.prototype._syncProjects,g.ThreadAffinity.Group2),i.$getEmitOutput=h.OneWorkerAttr(i,i.prototype.getEmitOutput,i.prototype._syncProjects,g.ThreadAffinity.Group3),i.WORD_DEFINITION=m.createWordRegExp("$"),i.$findReferences=h.OneWorkerAttr(i,i.prototype.findReferences,i.prototype._syncProjects,g.ThreadAffinity.Group3),i.$rename=h.OneWorkerAttr(i,i.prototype.rename,i.prototype._syncProjects,g.ThreadAffinity.Group2),i.$getNavigateToItems=h.OneWorkerAttr(i,i.prototype.getNavigateToItems,i.prototype._syncProjects,g.ThreadAffinity.Group3),i.$runQuickFixActionInWorker=h.OneWorkerAttr(i,i.prototype.runQuickFixActionInWorker,i.prototype._syncProjects,g.ThreadAffinity.Group2),i.$getQuickFixes=h.OneWorkerAttr(i,i.prototype.getQuickFixes,i.prototype._syncProjects,g.ThreadAffinity.Group2),i.$getRangesToPosition=h.OneWorkerAttr(i,i.prototype.getRangesToPosition,i.prototype._syncProjects,g.ThreadAffinity.Group1),i.$findDeclaration=h.OneWorkerAttr(i,i.prototype.findDeclaration,i.prototype._syncProjects,g.ThreadAffinity.Group2),i.$computeInfo=h.OneWorkerAttr(i,i.prototype.computeInfo,i.prototype._syncProjects,g.ThreadAffinity.Group2),i.$formatDocument=h.OneWorkerAttr(i,i.prototype.formatDocument,i.prototype._syncProjects,g.ThreadAffinity.Group1),i.$formatRange=h.OneWorkerAttr(i,i.prototype.formatRange,i.prototype._syncProjects,g.ThreadAffinity.Group1),i.$formatAfterKeystroke=h.OneWorkerAttr(i,i.prototype.formatAfterKeystroke,i.prototype._syncProjects,g.ThreadAffinity.Group1),i.findCodeLensSymbols=h.OneWorkerAttr(i,i.prototype.findCodeLensSymbols,i.prototype._syncProjects,g.ThreadAffinity.Group1),i.findCodeLensReferences=h.OneWorkerAttr(i,i.prototype.findCodeLensReferences,i.prototype._syncProjects,g.ThreadAffinity.Group3),i}(m.AbstractMode);t.TypeScriptMode=_});